Generate flow-mention for create/edit of board desc, topic, post, summary
Closed, ResolvedPublic

Description

Send a flow-mention notification to the user being mentioned in

  • board description
  • topic title
  • post
  • topic summary

as a result of the creation or edition of any of the above.

Note: maybe create specific language to differentiate between those 4 situations.

SBisson created this task.Feb 1 2016, 7:33 PM
SBisson updated the task description. (Show Details)
SBisson raised the priority of this task from to Needs Triage.
SBisson added subscribers: Aklapper, StudiesWorld, SBisson.

Change 267909 had a related patch set uploaded (by Matthias Mullie):
Generate mentions for existing edit notifications

https://gerrit.wikimedia.org/r/267909

Do we want specific language to differentiate between mentions in board description/topic title/post/topic summary?

Right now, we only generate mentions in topic title & post, and the text for both is:

User mentioned you in "topic title".

And the notification body will include a small excerpt of the post text (not for topic, because the topic is already included in the message anyway)

matthiasmullie set Security to None.

Change 268165 had a related patch set uploaded (by Matthias Mullie):
Add mention notification for changes in board description

https://gerrit.wikimedia.org/r/268165

jmatazzoni added a subscriber: jmatazzoni.EditedFeb 4 2016, 1:28 AM

@SBisson asks:

Note: maybe create specific language to differentiate between those 4 situations.

Here's my thought on this: We could make four messages, of course. But in the interest of simplicity, I think we can make do with two, as follows:

  • topic title -- use the standard message
  • post -- use the standard message
  • topic summary -- use the standard message
  • board description -- yes, create a new variation

So, the two messages would be:

  • Fama mentioned you in "How the Moai moved". [standard message]
  • Fama mentioned you in the description of PageName [new message]

My thinking is that the post, the topic title and the topic description are all part of the topic. The board description, however, is about the page and isn't contained in the topic. Does that make sense? (If so, I'll add that variation to the spreadsheet.)

NOTE: the message about being mentioned in the description needs to supersede the newly created flowboard-description-edited message defined in T125429

Mention notification for topic title (+edits), post (+edits) & board description (+edits) is done.
TODO: topic summary.

But there's another ticket for that already (T125120), so let's pick that up there.

Change 267909 merged by jenkins-bot:
Generate mentions for existing edit notifications

https://gerrit.wikimedia.org/r/267909

Change 268165 merged by jenkins-bot:
Add mention notification for changes in board description

https://gerrit.wikimedia.org/r/268165

Checked in betalabs.
flow-mention notifications are being sent when the following are created or edited
board description


topic title

post
topic summary
Notice that for topic summary

  • the topic title is not bolded
  • no specific references that Mention happened in the Summary. The word 'Summary' in the screenshot is just a part of a text in the summary.

Note: Mentioning on wikitext pages will come as Alerts. Flow page mentions come as messages.

Thanks Elena. Yes, the message and links are correct but for the summary message the topic title should be bold. Moving back to In Development.

Change 273232 had a related patch set uploaded (by Matthias Mullie):
Bold title in summary mention notification

https://gerrit.wikimedia.org/r/273232

Change 273232 merged by jenkins-bot:
Bold title in summary mention notification

https://gerrit.wikimedia.org/r/273232

@SBisson - There is a regression issue with displaying Summary notifications without Mention - filed as T128414: i18n changes not taking effect on Beta Cluster.

Checked in betalabs.

All specs for topic summary Notifications are in place (including for user talk pages --see T125119: Should get notified for topic summary change on your own user talk ).

The screenshot shows Mention in a topic summary on a Flow page and on user talk Flow page:

jmatazzoni closed this task as Resolved.Mar 7 2016, 10:09 PM